### Method

# Adw MessageDialog choose

deprecated: 1.6 since: 1.3

#### Declaration [src]

    void
    adw_message_dialog_choose (
      AdwMessageDialog* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function shows `self` to the user.

Available since: 1.3

Deprecated since: 1.6

Use `AdwAlertDialog`.

This method completes asynchronously. Use `adw_message_dialog_choose_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.